Commit 6e917580 authored by Kenneth Giusti's avatar Kenneth Giusti

v2.2.2

 - add support for Proton 0.19.0
 - add support for Python 3.6
parent af5981ea
......@@ -2,6 +2,8 @@ language: python
python:
- "2.7"
- "3.4"
- "3.5"
- "3.6"
addons:
apt:
packages:
......
......@@ -7,6 +7,11 @@ callback-based API for message passing.
See the User Guide in the docs directory for more detail.
## Release 2.2.2 ##
* verified Python 3.6 compatibility
* bumped max proton version to 0.19
## Release 2.2.1 ##
* disable the socket I/O logging - fills the debug logs with lots of
......
......@@ -23,4 +23,4 @@ from pyngus.link import SenderLink, SenderEventHandler
from pyngus.sockets import read_socket_input
from pyngus.sockets import write_socket_output
VERSION = (2, 2, 1) # major, minor, fix
VERSION = (2, 2, 2) # major, minor, fix
......@@ -20,7 +20,7 @@
import os
from setuptools import setup
_VERSION = "2.2.1" # NOTE: update __init__.py too!
_VERSION = "2.2.2" # NOTE: update __init__.py too!
# I hack, therefore I am (productive) Some distros (which will not be named)
# don't use setup.py to install the proton python module. In this case, pip
......@@ -34,7 +34,7 @@ try:
except ImportError:
# this version of proton will download and install the proton shared
# library as well:
_dependencies = ['python-qpid-proton>=0.9,<0.18']
_dependencies = ['python-qpid-proton>=0.9,<0.20']
setup(name="pyngus",
......@@ -56,4 +56,5 @@ setup(name="pyngus",
"Programming Language :: Python :: 3",
"Programming Language :: Python :: 3.3",
"Programming Language :: Python :: 3.4",
"Programming Language :: Python :: 3.5"])
"Programming Language :: Python :: 3.5",
"Programming Language :: Python :: 3.6"])
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment